#
# refe installer
#

require 'ftools'
require 'rbconfig'
include Config


bindir = CONFIG['bindir']
libdir = File.join( CONFIG['libdir'], 'ruby', 'site_ruby' )
datadir = CONFIG['datadir']

rubypath = File.join( CONFIG['bindir'], CONFIG['ruby_install_name'] )


unless File.file? 'manual.rd' then
  print <<'-'
RD file 'manual.rd' not exist. Try "sh get.sh" or
get it by your hand. You can get 'manual.rd' from:

    http://www.ruby-lang.org/~rubikitch/refm/ruby-refm.rd.gz'

-
  exit 3
end


# bin
File.mkpath bindir
File.open( "#{bindir}/refe", 'w' ) do |f|
  f.puts "#!#{rubypath}"
  f.print <<"-"
class Refe
  DATA_DIR = '#{datadir}'
end
-
  File.open( 'refe' ) do |r|
    first = r.gets
    unless first[0,2] == '#!' then
      f.print first
    end
    f.write r.read
  end
end
File.chmod 0755, "#{bindir}/refe"

# lib
File.mkpath libdir
%w( librefe.rb ).each do |name|
  File.install name, "#{libdir}", 0644
end

# data
require 'librefe'
load 'mkindex.rb'
File.mkpath datadir
File.install Refe::INDEX_FILE, datadir, 0644


puts 'install done.'
